%global pkg_name QuickCheck

%global common_summary Automatic testing of Haskell programs

%global common_description QuickCheck80 is a library for random testing of program properties.\
\
The programmer provides a specification of the program, in the form of\
properties which functions should satisfy, and QuickCheck then tests that\
the properties hold in a large number of randomly generated cases.\
\
Specifications are expressed in Haskell, using combinators defined in\
the QuickCheck library. QuickCheck provides combinators to define properties,\
observe the distribution of test data, and define test data generators.

# Haskell library dependencies:
%global ghc_pkg_deps ghc-mtl-devel

%bcond_without shared

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
# part of haskell-platform-2009.3.1
Version:        2.1.0.2
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-rpm-macros >= 0.5.1
BuildRequires:  ghc-doc
BuildRequires:  ghc-prof
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%ghc_lib_package


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%cabal_configure --ghc -p
%cabal build
%cabal haddock


%install
%cabal_install
%cabal_pkg_conf

%ghc_gen_filelists


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jan 21 2010 Jens Petersen <petersen@redhat.com> - 2.1.0.2-2
- BSD license
- summary and description
- comment part of haskell-platform-2009.3.1

* Thu Jan 21 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 2.1.0.2-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.1
